Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161740 - xlock can not validate; invalid login
Summary: xlock can not validate; invalid login
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xlockmore
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 20:36 UTC by Adam Pribyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 06:36:31 UTC


Attachments (Terms of Use)

Description Adam Pribyl 2005-06-26 20:36:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050511

Description of problem:
Installation of xlockmore was fine, there is /etc/pam.d/xlock file with
#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
password   required     pam_stack.so service=system-auth
session    required     pam_stack.so service=system-auth

but the result of login try is like this:

Error sending status request (Operation not permitted)
Error sending status request (Operation not permitted)
failed unlock attempt on user covex

I could be probably solved by suid root... but its workaround.

Version-Release number of selected component (if applicable):
xlockmore-5.18-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. install xlockmore
2. start X11
3. start xlock
  

Actual Results:  invalid login with valid password

Expected Results:  unlocked screen

Additional info:

Comment 1 Adrian Reber 2005-06-27 07:13:09 UTC
I can confirm this bug as it also happens for me. With xlockmore-5.16-1,
however, this doesn't happen for me. Can you confirm that it works with the
older version also for you?

Comment 2 Adrian Reber 2005-06-27 07:59:34 UTC
I just have tested that chmod u+s /usr/bin/xlock doesn't work.

Can you try to rebuild http://lisas.de/~adrian/rpm/xlockmore-5.18-3.fc4.src.rpm
and see if it fixes your problem. It does fix it for me.

Comment 3 Adam Pribyl 2005-06-27 21:14:40 UTC
I am still getting these messages, but I can unlock the screen, so it fixes.

Comment 4 Adrian Reber 2005-06-28 06:36:31 UTC
I am closing it and requesting a build. Should be available in the next days.


Note You need to log in before you can comment on or make changes to this bug.